Subject: Re: linux-next: build failure after merge of the perf tree

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 29 Mar 2023 09:28:39 -0300

Em Wed, Mar 29, 2023 at 10:06:12AM +1100, Stephen Rothwell escreveu:
> Hi Arnaldo,
 
> On Tue, 28 Mar 2023 16:47:23 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:
> > The config files you used don't match the running kernels
 
> This is just the way Debian names its kernel packages.
 
> > > $ uname -a
> > > Linux zz1 6.0.0-5-powerpc64le #1 SMP Debian 6.0.10-2 (2022-12-01) ppc64le GNU/Linux
>               ^^^^^^^^^^^^^^^^^^^
> > > $ ls -l /sys/kernel/bpf/
> > > ls: cannot access '/sys/kernel/bpf/': No such file or directory
> > > $ grep CONFIG_DEBUG_INFO_BTF /boot/config-6.0.0-5-powerpc64le
>                                               ^^^^^^^^^^^^^^^^^^^
> And so on.  It just happens that this kernel is based on v6.0.10.
 
> $ uname -r
> 6.0.0-5-powerpc64le
 
> So they are the correct config files.
 
> Also, the mail I replied to talked about checking /sys/kernel/bpf/ (not
> btf) :-(

Sorry about that, I replied from my smartphone, when on my workstation
I try to try the commands and copy'n'paste the whole command + output
sequence to avoid such mistakes.
 
> still on my build machine (of course):
 
> $ ls -l /sys/kernel/btf/
> ls: cannot access '/sys/kernel/btf/': No such file or directory
 
> So it seems that Debian do not build their powerpcle kernels with
> CONFIG_DEBUG_INFO_BTF. I don't know why not since all the dependencies
> seem to be OK.

Right, at this point they should if they want to properly support the
full set of BPF functionalities, notably CO-RE.
 
> [On my arm64 machine:
> 
> $ ls -l /sys/kernel/btf/vmlinux
> -r--r--r-- 1 root root 5209570 Mar 29 09:52 /sys/kernel/btf/vmlinux
> 
> and on my amd64 machine:
> 
> $ ls -l /sys/kernel/btf/vmlinux
> -r--r--r-- 1 root root 8536946 Mar 29 10:04 /sys/kernel/btf/vmlinux
> ]

Everything should be working fine on those machines, right?

- Arnaldo